
/*!
 * Ext JS Connect
 * Copyright(c) 2010 Ext JS, Inc.
 * MIT Licensed
 */

/**
 * Module dependencies.
 */

var connect = require('./../index'),
    sys = require('sys');

/**
 * Provide IncomingMessage#redirect().
 */

exports.handle = function(req, res, next){
    
    // Map "magic" urls
    var map = {
        back: req.headers.referrer || req.headers.referer
    };
    
    /**
     * Redirect to the given url, with optional
     * HTTP status code defaulting to 302.
     *
     * The following "magic" urls are automatically
     * resolved:
     *
     *   - "back"   Maps to the Referrer
     *
     * @param {String} url
     * @param {Number} code
     * @api public
     */
    
    req.redirect = function(url, code){
        res.writeHead(code || 302, {
            'Location': map[url] || url
        });
        res.end();
    };
    
    next();
};

